using System;
using System.Windows.Documents;
using HtmlAgilityPack;

namespace BF.SL
{
    public class AToXaml : HtmlTypeBase
    {
        public override string TagName
        {
            get { return "a"; }
        }

        public override void ApplyType(HtmlNode htmlNode, Block block)
        {
            var url = htmlNode.Attributes["href"];
            if (url == null)
                throw new Exception("請輸入href");

            var s = RichTextboxStyle.GetDefault(htmlNode);

            var target = htmlNode.Attributes["target"];
            Hyperlink h = new Hyperlink();
            h.NavigateUri = new Uri(url.Value, UriKind.RelativeOrAbsolute);
            if (target != null)
                h.TargetName = target.Value;
            Run r = new Run();
            h.Inlines.Add(r);
            r.Text = GetCleanContent(htmlNode.InnerText);
            (block as Paragraph).Inlines.Add(h);
        }
    }
}
