using System;
using System.Windows.Documents;
using HtmlAgilityPack;
using System.Windows;
using System.Windows.Controls;

namespace BF.SL
{
    public class DLToXaml : HtmlTypeBase
    {
        public override string TagName
        {
            get { return "dl"; }
        }

        public override void ApplyType(HtmlNode htmlNode, Block block)
        {
            InlineUIContainer ilContainer = new InlineUIContainer();
            StackPanel spUL = new StackPanel();
            ilContainer.Child = spUL;

            foreach (HtmlNode itm in htmlNode.ChildNodes)
            {
                TextBlock tbItem = new TextBlock();
                tbItem.Text = itm.InnerText;
                tbItem.FontStyle = FontStyles.Italic;
                switch (itm.Name.ToLower())
                {
                    case "dt":
                        tbItem.Margin = new Thickness(15, 0, 0, 0);
                        break;

                    case "dd":
                        tbItem.Margin = new Thickness(25, 0, 0, 0);
                        break;
                }
                spUL.Children.Add(tbItem);
            }
            (block as Paragraph).Inlines.Add(ilContainer);
        }
    }
}
